## release.zip

=== lsconsul/Makefile ===
all::

.PHONY: deb
deb:
	rm -rf ./deb/usr/bin/lsconsul
	mkdir -p ./deb/usr/bin
	cp ./libexec/lsconsul ./deb/usr/bin/

	test -f ./deb/usr/bin/lsconsul
	dpkg-deb -Z gzip -b ./deb .
