=== courier/fpm_scripts/DESCRIPTION ===
Fetches and installs twitch-written applications
