=== courier/vendor/code.justin.tv/common/solidsqs/Makefile ===
.PHONY: all build test doc install clean

all: build

build:
	@golint .
	@go build

test:
	@go test -v

doc:
	@godoc -ex . > solidsqs_api.txt

install:
	@go install

clean:
	@go clean
