=== courier/vendor/code.justin.tv/dta/rtevent/Makefile ===
.PHONY: all build test doc install clean

all: build

build:
	@golint .
	@go build

test:
	@go test -v

install:
	@go install

clean:
	@go clean
