=== trace/vendor/github.com/twitchtv/twirp/requirements.txt ===
certifi==2017.4.17
chardet==3.0.4
idna==2.5
protobuf==3.5.1
requests==2.17.3
six==1.10.0
urllib3==1.21.1
