=== ghe-backup-encrypted-s3/github-backup-utils-v3.0.0/debian/changelog ===
github-backup-utils (3.0.0) UNRELEASED; urgency=medium

  * Fix restoring the password pepper for already configured instances #683

 -- Michael Dang <dangmh@github.com>  Tue, 16 Feb 2021 22:32:25 +0000

github-backup-utils (3.0.0.rc1) UNRELEASED; urgency=medium

  * Cleanup nomad container when restore for 2.22 #670
  * Use ghe-cluster-nomad-cleanup for cluster mode #663
  * Only run ghe-nomad-cleanup in 3.0 #662
  * Revert backup-utils gitHub env and a few more fixes #661
  * Note how to test filesystem symlink / hardlink support #660
  * stop github-timerd based on its running environment #659
  * Backup and restore password pepper #656
  * github-env -> github-env-dispatch #654
  * Rename redis-cli to ghe-redis-cli #639

 -- Michael Dang <dangmh@github.com>  Thu, 14 Jan 2021 21:17:53 +0000

github-backup-utils (2.22.0) UNRELEASED; urgency=medium

  * Added basic timing around the ghe-restore process #625
  * Improve python3 & finding moreutils parallel  #627
  * Turn off POSIX for ghe-backup-config #632
  * Add parallelized restore capability to ghe-restore-storage #635
  * Update backup-utils for new features in 2.22 #641

 -- jianghao0718@github.com  Wed, 23 Sep 2020 15:48:54 +0000

github-backup-utils (2.21.0) UNRELEASED; urgency=medium

  * Introduce option to skip restoring of audit logs #596
  * Beta: Execute ghe-backup tasks in parallel #597
  * Beta: Execute ghe-restore tasks in parallel #601
  * Run repositories restore in parallel #603
  * Fix mismatched `bm_start` and `bm_end` commands #607
  * remove rsync restore method used by GHES versions prior to 2.13 #608
  * Output MySQL backup strategy for clarity during backup and restore #610

 -- Hao Jiang <jianghao0718@github.com>  Tue, 09 Jun 2020 17:59:06 +0000

github-backup-utils (2.19.5) UNRELEASED; urgency=medium

  * In legacy mode we should use ghe-import-mysql #581

 -- Caine Jette <cainejette@github.com>  Fri, 21 Feb 2020 19:13:17 +0000

github-backup-utils (2.20.2) UNRELEASED; urgency=medium

  * In legacy mode we should use ghe-import-mysql #581

 -- Hao Jiang <jianghao0718@github.com>  Thu, 20 Feb 2020 22:47:09 +0000

github-backup-utils (2.20.1) UNRELEASED; urgency=medium

  * Fixes gist route calculation for GHES version 2.20

 -- Caine Jette <cainejette@github.com>  Wed, 19 Feb 2020 21:47:18 +0000

github-backup-utils (2.19.4) UNRELEASED; urgency=medium

  * Fix the way we connect to mysql master using ssh forwarding for binary backups #567

 -- Hao Jiang <jianghao0718@github.com>  Tue, 18 Feb 2020 17:54:31 +0000

github-backup-utils (2.20.0) UNRELEASED; urgency=medium

  * Fix `ghe-backup-repositories` performance for large instances #541
  * Fix two issues with binary backup (slow gzip compression and support for restore from instances other than SQL master) #551

 -- Alejandro Figueroa <thejandroman@github.com>  Tue, 11 Feb 2020 20:47:17 +0000

github-backup-utils (2.19.3) UNRELEASED; urgency=medium

  * Fix two issues with binary backup (slow gzip compression and support for restore from instances other than SQL master) #551

 -- Hao Jiang <jianghao0718@github.com>  Tue, 11 Feb 2020 19:31:55 +0000

github-backup-utils (2.19.2) UNRELEASED; urgency=medium

  * Fix `ghe-backup-repositories` performance for large instances #541

 -- Evgenii Khramkov <ewgenius@github.com>  Fri, 31 Jan 2020 19:13:46 +0000

github-backup-utils (2.19.1) UNRELEASED; urgency=medium

  * Cater for more explicit gist paths used in routes file #524
  * Suppress "*.rsync': No such file or directory" errors when no data to backup or restore #525

 -- Colin Seymour <colin@github.com>  Wed, 11 Dec 2019 09:33:01 +0000

github-backup-utils (2.19.0) UNRELEASED; urgency=medium

  * Remove temporary exclude file from the backup host not the target GHES appliance #516
  * Update Debian package depends to include git #520

 -- Colin Seymour <colin@github.com>  Tue, 12 Nov 2019 18:57:12 +0000

github-backup-utils (2.18.0) UNRELEASED; urgency=medium

  * Replace "sed -E" in ghe-host-check with a more portable solution #509

 -- Colin Seymour <colin@github.com>  Tue, 20 Aug 2019 18:49:44 +0000

github-backup-utils (2.17.1) UNRELEASED; urgency=medium

  * Redirect ghe-export-audit-logs stderr output unless using verbose output #497

 -- Colin Seymour <colin@github.com>  Wed, 05 Jun 2019 08:43:25 +0000

github-backup-utils (2.17.0) UNRELEASED; urgency=medium

  * Restore target is ignored when specified on the command line #476
  * Support incremental backups for MySQL-stored audit logs #485

 -- Colin Seymour <colin@github.com>  Thu, 23 May 2019 08:20:15 +0000

github-backup-utils (2.16.1) UNRELEASED; urgency=medium

  * Detect storage user on each cluster host being backed up or restored #472

 -- Colin Seymour <colin@github.com>  Tue, 26 Feb 2019 16:37:04 +0000

github-backup-utils (2.16.0) UNRELEASED; urgency=medium


 -- Colin Seymour <colin@github.com>  Tue, 22 Jan 2019 20:25:34 +0000

github-backup-utils (2.15.1) UNRELEASED; urgency=medium

  * Restoring to an un-configured appliance fails due to a missing license file #449

 -- Colin Seymour <colin@github.com>  Tue, 13 Nov 2018 17:34:21 +0000

github-backup-utils (2.15.0) UNRELEASED; urgency=medium


 -- Colin Seymour <colin@github.com>  Tue, 16 Oct 2018 16:40:03 +0000

github-backup-utils (2.14.3) UNRELEASED; urgency=medium

  * Improve multi-platform detection of simultaneous ghe-backup runs #435

 -- Colin Seymour <colin@github.com>  Tue, 11 Sep 2018 17:03:42 +0000

github-backup-utils (2.14.2) UNRELEASED; urgency=medium

  * Capture and display repository/gist warnings during cluster restore #423
  * Use remote tempdir when finalizing Pages routes #424
  * Use old rsync restore method for pages prior to 2.13 #426

 -- Colin Seymour <colin@github.com>  Tue, 21 Aug 2018 13:57:20 +0000

github-backup-utils (2.14.1) UNRELEASED; urgency=medium

  * Don't fail a backup if the Management Console password isn't set #416

