=== ghe-backup-encrypted-s3/github-backup-utils-v3.0.0/debian/rules ===
#!/usr/bin/make -f
build-indep:

override_dh_auto_build:

%:
	dh $@
